DROP TABLE IF EXISTS `emslog`.`080018`;
CREATE TABLE  `emslog`.`080018` (
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `system` tinyint(3) unsigned NOT NULL,
  `boiler` smallint(5) unsigned NOT NULL,
  `maxPower` tinyint(3) unsigned NOT NULL,
  `actPower` tinyint(3) unsigned NOT NULL,
  `status` smallint(6) NOT NULL,
  `actWater` smallint(5) unsigned NOT NULL,
  `return` smallint(5) unsigned NOT NULL,
  `flameCurrent` smallint(6) NOT NULL,
  `pressure` smallint(6) NOT NULL,
  PRIMARY KEY (`timestamp`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='MC10/BC10 #18';

DROP TABLE IF EXISTS `emslog`.`080019`;
CREATE TABLE  `emslog`.`080019` (
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `tempOut` smallint(6) NOT NULL,
  `operationTime` mediumint(8) unsigned NOT NULL,
  `burnerStarts` mediumint(8) unsigned NOT NULL,
  PRIMARY KEY (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='MC10/BC10 #19';

DROP TABLE IF EXISTS `emslog`.`080034`;
CREATE TABLE  `emslog`.`080034` (
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `desiredWaterTemp` tinyint(3) unsigned NOT NULL,
  `actualWaterTemp` smallint(5) unsigned NOT NULL,
  `status` smallint(5) unsigned NOT NULL,
  `hotWaterCounter` smallint(5) unsigned NOT NULL,
  `hotWaterCount` smallint(5) unsigned NOT NULL,
  `systemMode` tinyint(3) unsigned NOT NULL,
  PRIMARY KEY (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='MC10/BC10 #34';

DROP TABLE IF EXISTS `emslog`.`10003e`;
CREATE TABLE  `emslog`.`10003e` (
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `desiredRoomTemp` tinyint(3) unsigned NOT NULL,
  `actualRoomTemp` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='RC30/RC35 #3E';